Program Metrics 
================

#### API reference for Transfer program metrics 

For how-to guidance, see the [Transfer documentation](https://plaid.com/docs/transfer/index.html.md) .

| Program Metrics |  |
| --- | --- |
| [/transfer/metrics/get](https://plaid.com/docs/api/products/transfer/metrics/index.html.md#transfermetricsget) | Get transfer product usage metrics |
| [/transfer/configuration/get](https://plaid.com/docs/api/products/transfer/metrics/index.html.md#transferconfigurationget) | Get transfer product configuration |

\=\*=\*=\*=

#### /transfer/metrics/get 

#### Get transfer product usage metrics 

Use the [/transfer/metrics/get](https://plaid.com/docs/api/products/transfer/metrics/index.html.md#transfermetricsget) endpoint to view your transfer product usage metrics.

In the Sandbox environment, this endpoint returns static placeholder values rather than metrics computed from your Sandbox transfer activity.

#### Request fields 

string

Your Plaid API `client_id`. The `client_id` is required and may be provided either in the `PLAID-CLIENT-ID` header or as part of a request body.

string

Your Plaid API `secret`. The `secret` is required and may be provided either in the `PLAID-SECRET` header or as part of a request body.

string

The Plaid client ID of the transfer originator. Should only be present if `client_id` is a [Platform customer](https://plaid.com/docs/transfer/application/index.html.md#originators-vs-platforms) .

```node
const request: TransferMetricsGetRequest = {
  originator_client_id: '61b8f48ded273e001aa8db6d',
};

try {
  const response = await client.transferMetricsGet(request);
} catch (error) {
  // handle error
}

```

```bash
curl -X POST https://sandbox.plaid.com/transfer/metrics/get \
 -H 'Content-Type: application/json' \
 -d '{
   "client_id": "${PLAID_CLIENT_ID}",
   "secret": "${PLAID_SECRET}",
   "originator_client_id": "61b8f48ded273e001aa8db6d"
 }'

```

```ruby
request = Plaid::TransferMetricsGetRequest.new(
  {
    originator_client_id: "61b8f48ded273e001aa8db6d",
  }
)
response = client.transfer_metrics_get(request)

```

```java
TransferMetricsGetRequest request = new TransferMetricsGetRequest()
  .originatorClientId("61b8f48ded273e001aa8db6d");
Response response = client()
  .transferMetricsGet(request)
  .execute();

```

```python
request = TransferMetricsGetRequest(
    originator_client_id='61b8f48ded273e001aa8db6d',
)
response = client.transfer_metrics_get(request)

```

```go
request := plaid.NewTransferMetricsGetRequest();
request.SetOriginatorClientId("61b8f48ded273e001aa8db6d");

response, _, err := client.PlaidApi.TransferMetricsGet(ctx).TransferMetricsGetRequest(*request).Execute()

```

#### Response fields 

string

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

string

Sum of dollar amount of debit transfers in last 24 hours (decimal string with two digits of precision e.g. "10.00").

string

Sum of dollar amount of credit transfers in last 24 hours (decimal string with two digits of precision e.g. "10.00").

string

Sum of dollar amount of debit transfers in current calendar month (decimal string with two digits of precision e.g. "10.00").

string

Sum of dollar amount of credit transfers in current calendar month (decimal string with two digits of precision e.g. "10.00").

string

The currency of the dollar amount, e.g. "USD".

nullable, object

Details regarding return rates.

nullable, object

Details regarding return rates.

string

The overall return rate.

string

The unauthorized return rate.

string

The administrative return rate.

nullable, object

Details regarding authorization usage.

string

The daily credit utilization formatted as a decimal.

string

The daily debit utilization formatted as a decimal.

string

The monthly credit utilization formatted as a decimal.

string

The monthly debit utilization formatted as a decimal.

Response Object

```json
{
  "daily_debit_transfer_volume": "1234.56",
  "daily_credit_transfer_volume": "567.89",
  "monthly_transfer_volume": "",
  "monthly_debit_transfer_volume": "10000.00",
  "monthly_credit_transfer_volume": "2345.67",
  "iso_currency_code": "USD",
  "request_id": "saKrIBuEB9qJZno",
  "return_rates": {
    "last_60d": {
      "overall_return_rate": "0.1023",
      "administrative_return_rate": "0.0160",
      "unauthorized_return_rate": "0.0028"
    }
  },
  "authorization_usage": {
    "daily_credit_utilization": "0.2300",
    "daily_debit_utilization": "0.3401",
    "monthly_credit_utilization": "0.9843",
    "monthly_debit_utilization": "0.3220"
  }
}
```

\=\*=\*=\*=

#### /transfer/configuration/get 

#### Get transfer product configuration 

Use the [/transfer/configuration/get](https://plaid.com/docs/api/products/transfer/metrics/index.html.md#transferconfigurationget) endpoint to view your transfer product configurations.

#### Request fields 

string

Your Plaid API `client_id`. The `client_id` is required and may be provided either in the `PLAID-CLIENT-ID` header or as part of a request body.

string

Your Plaid API `secret`. The `secret` is required and may be provided either in the `PLAID-SECRET` header or as part of a request body.

string

The Plaid client ID of the transfer originator. Should only be present if `client_id` is a [Platform customer](https://plaid.com/docs/transfer/application/index.html.md#originators-vs-platforms) .

```node
const request: TransferConfigurationGetRequest = {
  originator_client_id: '61b8f48ded273e001aa8db6d',
};

try {
  const response = await client.transferConfigurationGet(request);
} catch (error) {
  // handle error
}

```

```bash
curl -X POST https://sandbox.plaid.com/transfer/configuration/get \
 -H 'Content-Type: application/json' \
 -d '{
   "client_id": "${PLAID_CLIENT_ID}",
   "secret": "${PLAID_SECRET}",
   "originator_client_id": "61b8f48ded273e001aa8db6d"
 }'

```

```ruby
request = Plaid::TransferConfigurationGetRequest.new(
  {
    originator_client_id: "61b8f48ded273e001aa8db6d",
  }
)
response = client.transfer_configuration_get(request)

```

```java
TransferConfigurationGetRequest request = new TransferConfigurationGetRequest()
  .originatorClientId("61b8f48ded273e001aa8db6d");
Response response = client()
  .transferConfigurationGet(request)
  .execute();

```

```python
request = TransferConfigurationGetRequest(
    originator_client_id='61b8f48ded273e001aa8db6d',
)
response = client.transfer_configuration_get(request)

```

```go
request := plaid.NewTransferConfigurationGetRequest();

request.SetOriginatorClientId("61b8f48ded273e001aa8db6d");
response, _, err := client.PlaidApi.TransferConfigurationGet(ctx).TransferConfigurationGetRequest(*request).Execute()

```

#### Response fields 

string

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

string

The max limit of dollar amount of a single credit transfer (decimal string with two digits of precision e.g. "10.00").

string

The max limit of dollar amount of a single debit transfer (decimal string with two digits of precision e.g. "10.00").

string

The max limit of sum of dollar amount of credit transfers in last 24 hours (decimal string with two digits of precision e.g. "10.00").

string

The max limit of sum of dollar amount of debit transfers in last 24 hours (decimal string with two digits of precision e.g. "10.00").

string

The max limit of sum of dollar amount of credit transfers in one calendar month (decimal string with two digits of precision e.g. "10.00").

string

The max limit of sum of dollar amount of debit transfers in one calendar month (decimal string with two digits of precision e.g. "10.00").

string

The currency of the dollar amount, e.g. "USD".

Response Object

```json
{
  "max_single_transfer_amount": "",
  "max_single_transfer_credit_amount": "1000.00",
  "max_single_transfer_debit_amount": "1000.00",
  "max_daily_credit_amount": "50000.00",
  "max_daily_debit_amount": "50000.00",
  "max_monthly_amount": "",
  "max_monthly_credit_amount": "500000.00",
  "max_monthly_debit_amount": "500000.00",
  "iso_currency_code": "USD",
  "request_id": "saKrIBuEB9qJZno"
}
```